grizzly jaxws using older jaxws-api

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

grizzly jaxws using older jaxws-api

Gonfi den Tschal
I'm using this dependency

<dependency>
        <groupId>org.glassfish.grizzly</groupId>
        <artifactId>grizzly-http-server-jaxws</artifactId>
        <version>2.3.18</version>
    </dependency>

and it brings with it 

<dependency>
        <groupId>javax.xml.ws</groupId>
        <artifactId>jaxws-api</artifactId>
        <version>2.2.5</version>
    </dependency>

this is from 2011.
according to maven central there is a 2.2.11 available, from 2013.
<a href="http://search.maven.org/#search|gav|1|g%3A%22javax.xml.ws%22%20AND%20a%3A%22jaxws-api%22">http://search.maven.org/#search|gav|1|g%3A%22javax.xml.ws%22%20AND%20a%3A%22jaxws-api%22

is there a reason for not upgrading?

also, is anyone using this? 
according to http://mvnrepository.com/artifact/org.glassfish.grizzly/grizzly-http-server-jaxws there a
is just 1 open source project depending on it (soapworks), besides the grizzly samples project itself.



Reply | Threaded
Open this post in threaded view
|

Re: grizzly jaxws using older jaxws-api

oleksiys
Administrator
Hi,

I'll update the dependency.

WBR,
Alexey.

On 02.02.15 06:57, Gonfi den Tschal wrote:
I'm using this dependency

<dependency>
        <groupId>org.glassfish.grizzly</groupId>
        <artifactId>grizzly-http-server-jaxws</artifactId>
        <version>2.3.18</version>
    </dependency>

and it brings with it 

<dependency>
        <groupId>javax.xml.ws</groupId>
        <artifactId>jaxws-api</artifactId>
        <version>2.2.5</version>
    </dependency>

this is from 2011.
according to maven central there is a 2.2.11 available, from 2013.
http://search.maven.org/#search|gav|1|g%3A%22javax.xml.ws%22%20AND%20a%3A%22jaxws-api%22

is there a reason for not upgrading?

also, is anyone using this? 
according to http://mvnrepository.com/artifact/org.glassfish.grizzly/grizzly-http-server-jaxws there a
is just 1 open source project depending on it (soapworks), besides the grizzly samples project itself.




Reply | Threaded
Open this post in threaded view
|

Re: grizzly jaxws using older jaxws-api

oleksiys
Administrator
In reply to this post by Gonfi den Tschal
I upgraded dependency to 2.2.10, it's the latest Sun/Oracle jax-ws-rt I found, and made the dependency "provided", so it may potentially work with future versions (if API won't be broken).
You can test it with 2.3.19-SNAPSHOT.

WBR,
Alexey.

On 02.02.15 06:57, Gonfi den Tschal wrote:
I'm using this dependency

<dependency>
        <groupId>org.glassfish.grizzly</groupId>
        <artifactId>grizzly-http-server-jaxws</artifactId>
        <version>2.3.18</version>
    </dependency>

and it brings with it 

<dependency>
        <groupId>javax.xml.ws</groupId>
        <artifactId>jaxws-api</artifactId>
        <version>2.2.5</version>
    </dependency>

this is from 2011.
according to maven central there is a 2.2.11 available, from 2013.
http://search.maven.org/#search|gav|1|g%3A%22javax.xml.ws%22%20AND%20a%3A%22jaxws-api%22

is there a reason for not upgrading?

also, is anyone using this? 
according to http://mvnrepository.com/artifact/org.glassfish.grizzly/grizzly-http-server-jaxws there a
is just 1 open source project depending on it (soapworks), besides the grizzly samples project itself.